| OptFEM2D Toolbox for Matlab V1.2b1 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
validStiffElasP1.m File Reference

Validation function for the Assembly of the Stiffness Elasticity Matrix for -Lagrange finite elements. More...

Go to the source code of this file.

## Functions
function | validStiffElasP1 (Num)
| Validation function for the Assembly of the Stiffness Elasticity Matrix for -Lagrange finite elements.
function | validStiffElasP1>checkTest1 (Test)
function | validStiffElasP1>checkTest2 (Test)
function | validStiffElasP1>checkTest3 (h, error)

## Detailed Description

Validation function for the Assembly of the Stiffness Elasticity Matrix for -Lagrange finite elements.

Definition in file validStiffElasP1.m.

## Function Documentation

function validStiffElasP1>checkTest1 | ( |  | Test | ) |

Definition at line 205 of file validStiffElasP1.m.

function validStiffElasP1>checkTest2 | ( |  | Test | ) |

Definition at line 220 of file validStiffElasP1.m.

function validStiffElasP1>checkTest3 | ( |  | h,
|  |  | error
| ) |  |

Definition at line 243 of file validStiffElasP1.m.

function validStiffElasP1 | ( |  | Num | ) |

Validation function for the Assembly of the Stiffness Elasticity Matrix for -Lagrange finite elements.

The Stiffness Elasticity Matrix is given by

where are vectors field -Lagrange basis functions. Here and are the elastic stress and strain tensors respectively.

This Matrix is computed by functions StiffElasAssemblingP1{Version} where {Version} is one of `base`, `OptV0`, `OptV1` and `OptV2`.

- Test 1: computation of the Elastic Stiffness Matrix using previous functions giving errors and cputimes
- Test 2: compute

  with and . We have if Num in {0,2} and if Num in {1,3}. Use functions and defined in valid_StiffElas.
- Test 3: retrieve order 2 of -Lagrange integration

Num
  - 0 global alternate numbering with local alternate numbering (classical method),
  - 1 global block numbering with local alternate numbering,
  - 2 global alternate numbering with local block numbering,
  - 3 global block numbering with local block numbering.

See Also
  StiffElasAssemblingP1base, StiffElasAssemblingP1OptV0, StiffElasAssemblingP1OptV1, StiffElasAssemblingP1OptV2, SquareMesh

Author
  François Cuvelier

Date
  2012-11-26

OptFEM2DP1 [V1.2b1] - Copyright (C) 2013 CJS (LAGA)

This file is part of OptFEM2DP1. OptFEM2DP1 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

OptFEM2DP1 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition at line 17 of file validStiffElasP1.m.